import { OrderedMap } from 'immutable';
import { Reducible, Action, Dispatch } from 'pretur.redux';
import { Page, PageInstantiationData } from './page';
import { Pages } from './pages';
export declare function deisolate<A extends Action<any, any>>(action: A): A;
export declare class Navigator implements Reducible {
    private pages;
    private prefix;
    private instances;
    private activePageMutex;
    constructor(pages: Pages, prefix?: string);
    active: Page<any, any, any>;
    activeMutex: string;
    all: OrderedMap<string, Page<any, any, any>>;
    reduce(action: Action<any, any>): this;
    transit(dispatch: Dispatch, mutex: string): void;
    open(dispatch: Dispatch, instantiationData: PageInstantiationData<any>): void;
    close(dispatch: Dispatch, mutex: string): void;
    load(dispatch: Dispatch): void;
    clear(dispatch: Dispatch): void;
}
